module.exports = function(grunt) {

  grunt.initConfig({

    pkg: grunt.file.readJSON('package.json'),
  
    coffee: {
      compile: {
        files: {
          'lib/test-tools.js': 'src/test-tools.coffee'
        }
      }
    },

    mochacli: {
      options: {
        compilers: ['coffee:coffee-script/register'],
        files: ['test/*.test.coffee']
      },
      test: {
        options: {
          reporter: 'nyan'
        }
      }
    },

    watch: {
      test: {
        files: ['test/*.coffee', 'src/*.coffee'],
        tasks: 'mochacli:test'
      }
    },

    clean: ['lib/', 'node_modules']

  });

  grunt.loadNpmTasks('grunt-mocha-cli');
  grunt.loadNpmTasks('grunt-contrib-watch');
  grunt.loadNpmTasks('grunt-contrib-coffee');
  grunt.loadNpmTasks('grunt-contrib-clean');

  grunt.registerTask('test', ['mochacli:test']);
  grunt.registerTask('develop', ['watch:test']);
  grunt.registerTask('default', ['coffee']);
};
